> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Usage

> Get aggregated usage data for this agent.

Query Parameters:
    start_date: ISO datetime string for the start of the period
    end_date: ISO datetime string for the end of the period

Returns aggregated usage data from usage records.



## OpenAPI

````yaml GET /api/cloud/agents/{id}/usage/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/cloud/agents/{id}/usage/:
    get:
      tags:
        - cloud
      description: |-
        Get aggregated usage data for this agent.

        Query Parameters:
            start_date: ISO datetime string for the start of the period
            end_date: ISO datetime string for the end of the period

        Returns aggregated usage data from usage records.
      operationId: cloud_agents_usage_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Agent.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentUsageSummary'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    AgentUsageSummary:
      type: object
      description: Serializer for aggregated usage summary.
      properties:
        agent_id:
          type: string
        agent_name:
          type: string
        start_date:
          type: string
          format: date-time
          nullable: true
        end_date:
          type: string
          format: date-time
          nullable: true
        input_tokens:
          type: integer
        output_tokens:
          type: integer
        cached_tokens:
          type: integer
        total_cost_usd:
          type: number
          format: double
        llm_calls:
          type: integer
        model_breakdown:
          type: object
          additionalProperties: {}
      required:
        - agent_id
        - agent_name
        - cached_tokens
        - end_date
        - input_tokens
        - llm_calls
        - model_breakdown
        - output_tokens
        - start_date
        - total_cost_usd
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````